language: php

php:
  - 5.3
  - 5.4
  - 5.5

services: mongodb

before_script:
  - echo "extension = mongo.so" >> ~/.phpenv/versions/$(phpenv version-name)/etc/php.ini
  - composer install --dev

script: phpunit --coverage-text -c tests/

notifications:
  email:
    - gediminas.morkevicius@gmail.com
